//+------------------------------------------------------------------+
//|                                           Paijo_SupDem_Indc1.mq4 |
//|                      Copyright  2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property indicator_chart_window

extern double  DrawWhenSmallerThan = 12; 
extern int     BarCount = 60; 

double setb;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   if(MarketInfo(Symbol(),MODE_DIGITS) == 5 || MarketInfo(Symbol(),MODE_DIGITS) == 3) { setb = 10*Point; } else { setb = 1*Point; }
   ObjectDelete("hi");
   ObjectDelete("lo");
   ObjectDelete("kotak1");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("hi");
   ObjectDelete("lo");
   ObjectDelete("kotak1");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   
   int    i, counted_bars=IndicatorCounted();

   for(i=0; i<=MathMin(Bars-counted_bars-1,BarCount); i++) {
   //=====================================
      double barhigh=MathMax(High[i+1],MathMax(High[i+2],High[i+3])); 
      double barlow=MathMin(Low[i+1],MathMin(Low[i+2],Low[i+3])); 
            
      double bar_rg1=High[i+1]-Low[i+1];
      double bar_rg2=High[i+2]-Low[i+2];
      double bar_rg3=High[i+3]-Low[i+3];

      double MaxRange=DrawWhenSmallerThan*setb;
      
      datetime t1=Time[i];
      datetime t3=Time[i+4];
      
      Comment( "\n",Symbol()," Besarnya Candle",
            "\n--------------------------------------------",
            "\n>> Body_candle   : ",bar_rg1,
            "\n>> Body_candle1 : ",bar_rg2,
            "\n>> Body_candle2 : ",bar_rg3
             );        
   
      if (bar_rg1<MaxRange && bar_rg2<MaxRange && bar_rg3<MaxRange)
      {
         garis("hi",t1,barhigh, Time[0],barhigh,Red);
         garis("lo",t1,barlow, Time[0],barlow,Green);
         //menggambar kotak
         ObjectCreate("kotak1", OBJ_RECTANGLE, 0, t1, barhigh, t3, barlow);
         ObjectSet("kotak1", OBJPROP_WIDTH, 2);
         ObjectSet("kotak1", OBJPROP_STYLE, STYLE_SOLID);
         ObjectSet("kotak1", OBJPROP_COLOR, Blue);
         ObjectSet("kotak1", OBJPROP_BACK, false); //false
return(0);
      }
   }
return(0);
}
//+------------------------------------------------------------------+
void garis(string nama, datetime t1, double p1, datetime t2, double p2, color c) {
   if(ObjectFind(nama) != 0) {
      ObjectCreate(nama, OBJ_TREND, 0, t1, p1, t2, p2);
      ObjectSet(nama, OBJPROP_WIDTH, 2);
      } else { ObjectMove(nama, 0, t1, p1); }
      ObjectSet(nama, OBJPROP_COLOR, c);
}  